petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPMonitorDefault

Print the residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - an ASCII PetscViewer

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2f.F.html
src/snes/examples/tutorials/ex12.c.html